﻿//---------------------------------------------------------------------------

#include <fmx.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.fmx"
TForm1 *Form1;
//ตัวอย่างFMX TMemo
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::MenuItemExitClick(TObject *Sender)
{
  Close(); //Program End
}
//---------------------------------------------------------------------------
void __fastcall TForm1::MenuItemUndoClick(TObject *Sender)
{
  Memo1->UnDo();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::MenuItemAboutClick(TObject *Sender)
{
  MessageDlg(u"C++ Builder Berlin Starter Edition\nFireMonkey(FMX)TMemo example"
	u"\nhttp://www.nabeta.tk",
	TMsgDlgType::mtInformation /* mtError */,
	TMsgDlgButtons() << TMsgDlgBtn::mbOK, 0);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::MenuItemOpenFileClick(TObject *Sender)
{
  OpenDialog1->Title = u"Open Text file";
  OpenDialog1->Filter = "Text files (*.txt)|*.TXT|C++ files (*.cpp;*.h;*.cc;*.c)|*.cpp;*.h;*.cc;*.c|Any file (*.*)|*.*";
  if(OpenDialog1->Execute()){
	Memo1->Lines->LoadFromFile(OpenDialog1->FileName,TEncoding::ASCII);
  }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::MenuItemOpenUTF8FileClick(TObject *Sender)
{
  OpenDialog1->Title = u"Open UTF8 Text file";
  OpenDialog1->Filter = "Text files (*.txt)|*.TXT|C++ files (*.cpp;*.h;*.cc;*.c)|*.cpp;*.h;*.cc;*.c|Any file (*.*)|*.*";
  if(OpenDialog1->Execute()){
	Memo1->Lines->LoadFromFile(OpenDialog1->FileName,TEncoding::UTF8);
  }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::MenuItemSaveFileClick(TObject *Sender)
{
  SaveDialog1->Title = u"Save Text file";
  SaveDialog1->DefaultExt = u"txt";//デフォルト拡張子
  if(SaveDialog1->Execute()){
	Memo1->Lines->SaveToFile(SaveDialog1->FileName,TEncoding::ASCII);
  }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::MenuItemSaveUTF8FileClick(TObject *Sender)
{
  SaveDialog1->Title = u"Save UTF8 Text file";
  SaveDialog1->DefaultExt = u"txt";//デフォルト拡張子
  if(SaveDialog1->Execute()){
	Memo1->Lines->SaveToFile(SaveDialog1->FileName,TEncoding::UTF8);
  }
}
//---------------------------------------------------------------------------
