//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <FMX.Controls.hpp>
#include <FMX.Forms.hpp>
#include <FMX.Controls.Presentation.hpp>
#include <FMX.Dialogs.hpp>
#include <FMX.Memo.hpp>
#include <FMX.Menus.hpp>
#include <FMX.ScrollBox.hpp>
#include <FMX.Types.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TMemo *Memo1;
	TMainMenu *MainMenu1;
	TOpenDialog *OpenDialog1;
	TSaveDialog *SaveDialog1;
	TMenuItem *MenuItemFile;
	TMenuItem *MenuItemExit;
	TMenuItem *MenuItemEdit;
	TMenuItem *MenuItemUndo;
	TMenuItem *MenuItemHelp;
	TMenuItem *MenuItemAbout;
	TMenuItem *MenuItemOpenFile;
	TMenuItem *MenuItemSaveFile;
	TMenuItem *MenuItemOpenUTF8File;
	TMenuItem *MenuItemSaveUTF8File;
	void __fastcall MenuItemExitClick(TObject *Sender);
	void __fastcall MenuItemUndoClick(TObject *Sender);
	void __fastcall MenuItemAboutClick(TObject *Sender);
	void __fastcall MenuItemOpenFileClick(TObject *Sender);
	void __fastcall MenuItemOpenUTF8FileClick(TObject *Sender);
	void __fastcall MenuItemSaveFileClick(TObject *Sender);
	void __fastcall MenuItemSaveUTF8FileClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
